Option Explicit  
Dim fso, File, RecentFile, LogFilePath, LogFile, LogFileContents, Mail

LogFilePath = "C:\Documents and Settings\(BACKUP USER PROFILE DIRECTORY)\Local Settings\Application Data\Microsoft\Windows NT\NTBackup\data\"

Set fso = CreateObject("Scripting.FileSystemObject")

Set RecentFile = Nothing

For Each File in fso.GetFolder(LogFilePath).Files
  If (RecentFile is Nothing) And (fso.GetExtensionName(LogFilePath & File.Name)) = "log" Then
    Set RecentFile = File
  ElseIf (File.DateLastModified > RecentFile.DateLastModified) And (fso.GetExtensionName(LogFilePath & File.Name)) = "log" Then
    Set RecentFile = File
  End If
Next

'note the parameters. First one is forreading, 2nd is to not create the file if it doesn't exist, 3rd is to open as unicode
Set LogFile = fso.OpenTextFile (LogFilePath & RecentFile.Name, 1,False,-1)

Do Until LogFile.AtEndOfStream
    LogFileContents = LogFileContents & LogFile.ReadLine & vbCRLF
Loop

LogFile.Close


Set Mail = CreateObject("Persits.MailSender")

Mail.Host="(SMTP SERVER)"
Mail.Port="25"
Mail.From="(SENDER'S ADDRESS)"
Mail.FromName="(SENDING SYSTEM) Backup Log"
Mail.Subject="(SENDING SYSTEM) Backup" & " " & Now
Mail.AddAddress("(RECIPIENT ADDRESS)")

Mail.Body=LogFileContents

Mail.Send
Set Mail=Nothing
